﻿unit Main;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FMX.ListView.Types, FMX.ListView.Appearances, FMX.ListView.Adapters.Base,
  FMX.ListView, FMX.StdCtrls, FMX.Controls.Presentation;

type
  TForm1 = class(TForm)
    ListView1: TListView;
    ToolBar1: TToolBar;
    BangSwitch: TSwitch;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure BangSwitchSwitch(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}

procedure TForm1.FormCreate(Sender: TObject);
var i: Integer;
    Item1: TListViewItem;
begin
     BangSwitchSwitch(Sender);

     ListView1.BeginUpdate;

     for i:=0 to 200 do
     begin
          Item1        := ListView1.Items.Add;
          Item1.Tag    := i;
          Item1.Text   := 'Text ' + i.ToString;
          Item1.Detail := 'Detail ' + i.ToString;
     end;

     ListView1.EndUpdate;
end;

procedure TForm1.BangSwitchSwitch(Sender: TObject);
begin
     UseBang := BangSwitch.IsChecked; // 仿 iPhone X 避开浏海 by Aone
     ListView1.Repaint;
end;

end.
